Name:		pidgin-latex
Version:	1.4.4
Release:	1%{?dist}
Summary:	Use LaTeX formulas in your pidgin conversations 
Group:		Applications/Internet
License:	GPLv2+
URL:		http://sourceforge.net/projects/pidgin-latex
Source0:	http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pidgin-devel
# Check that requires are OK
BuildRequires:	dvipng
BuildRequires:	tex(latex)

Requires:	dvipng
Requires:	tex(latex)
Requires:	pidgin

%description
The plugin looks for $$latex math$$ patterns, and replaces them by the rendered
latex output by way of latex and imagemagick. The graphics is only displayed
locally, so your conversation partner will have to use the plugin, too 
(With MSN, this constraint might not hold). This plugin is compatible with the 
similar kopete latex plugin, as it uses the $$ as delimiters, too.

%prep
%setup -q -n %{name}

%build
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make LIB_INSTALL_DIR=%{buildroot}%{_libdir}/pidgin install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README TODO
%{_libdir}/pidgin/*.so

%changelog
* Fri Jan 14 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.4.4-1
- Update to 1.4.4.

* Fri Dec 10 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.4.3-1
- Update to 1.4.3.

* Mon Nov 01 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2.

* Mon Jan 18 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.3.4-1
- Update to 1.3.4.

* Tue Sep 22 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.3.3-1
- Update to 1.3.3.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2.

* Thu Apr 09 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.3-2
- Some minor aesthetical cleanups that came up with review.

* Wed Mar 25 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.3-1
- First release.
